Update User Information
Updates information about an existing Company user. The `userId` parameter accepts both the Company user ID and the BigCommerce customer account ID.
Equivalent Storefront GraphQL API Mutation: `userUpdate`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Authentication
AuthorizationBearer
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
|`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]
Path parameters
userId
Request
This endpoint expects an object.
firstName
The user's first name.
lastName
The user's last name.
email
The email address associated with the user's account.
phoneNumber
The phone number associated with the user's account.
role
The ID of the role assigned to the Company user account as defined at Specifying User Role.
Allowed values:
Response
OK
code
message
data